#ifndef _FD_FLAG_
#define _FD_FLAG_

typedef struct Flag Flag;
typedef struct Flags Flags;

#include "game.h"

struct Flag {
  char *key;
  int value;
};

struct Flags {
  Flag flags[200];
  int count;
};

void game_load_flags(Game *g);
Flag *find_flag(Flags *f, char *key);
int flag_value(Flags *f, char *key);

#endif
